Skip to main content

## money

The money command allows you to format CSV numeric fields as if they were currency amounts. For example, if you had a field containing the value 12400.6, and applied money formatting to it, the resulting field would be a string containing the value "12,400.60". The money command will only format decimal money amounts - i.e. the currency must follow the dollar and cents model.

See also: number

Flag | Req'd? | Description
-f fieldlist | No | Specifies a comma-separated list of field indices identifying the fields in the input which will be formatted. If this is omitted, all fields will be formatted.
-r | No | Replace input fields with output - default is to append formatted fields.
-db chr | No | Specify decimal point character - default is "."
-ts chr | No | Specify thousands separator - default is ","
-cs sym | No | Specify currency symbol which will prefix the amount - default is none.
-ms minus | No | Specify string to use to indicate negative amounts - default is "-"
-ps plus | No | Specify string to use to indicate positive amounts - default is none.
-w width | No | Specify width of output field in which amount will be right-aligned - default is not to do alignment.
-cn | No | Treat the amount being formatted as in integer number of cents by dividing it by 100 before formatting.

Created with the Personal Edition of HelpNDoc: Produce online help for Qt applications

####